Bug 737117 - EOG doesn't check for damaged jpeg files.
Summary: EOG doesn't check for damaged jpeg files.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eog
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Siddhesh Poyarekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 16:34 UTC by Gaspard Jankowiak
Modified: 2015-09-14 00:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 07:17:55 UTC


Attachments (Terms of Use)
Damaged JPG image (recovered after disk erase) (2.04 MB, image/jpeg)
2011-09-09 16:34 UTC, Gaspard Jankowiak
no flags Details

Description Gaspard Jankowiak 2011-09-09 16:34:59 UTC
Created attachment 522365 [details]
Damaged JPG image (recovered after disk erase)

Description of problem:
I have several pictures which I have recovered from an accidental disk erase, and some of them seem to be damaged : I cannot open them with GIMP or Shotwell image viewer, and they show with a grey strip at the bottom both in Nautilus. Yet I can open them in EOG without any warning, though the strip is still there. Also I am not able to save changes -which is OK, the images are damaged- but EOG does not says it failed. When I quit EOG after attempting to save, it prompts me to save again, and still fails silently if I accept.


Version-Release number of selected component (if applicable):
Eye of GNOME Image Viewer 3.0.1

How reproducible:
Open a damaged JPG image with EOG.

Steps to Reproduce:
1. Open the attached image with EOG
2. Modify it (e.g. rotate)
3. Try to save
4. Try to quit
  
Actual results:
EOG opens the image and displays it with no warning. It fails silently when trying to save.


Expected results:
One of the following:
- Warn the user when opening the image or fail, à la GIMP (preferred)
- Warn the user when failing to save

Additional info:
This potentially impacts Nautilus too, though having the preview is a nice thing to have. I don't know about other formats.

Comment 1 Felix Riemann 2011-09-20 16:23:53 UTC
We already "fixed" this upstream for eog-3.1.4. eog will now present an error message on save. libjpeg doesn't give good error messages so it won't be that useful.


Note You need to log in before you can comment on or make changes to this bug.